Bug 1468593 - Check for blank password in database configuration to avoid postgres errors
Check for blank password in database configuration to avoid postgres errors
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.7.4
Assigned To: Yuri Rudman
Matouš Mojžíš
: ZStream
Depends On: 1443689
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 09:21 EDT by Satoe Imaishi
Modified: 2017-12-18 15:26 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1443689
Environment:
Last Closed: 2017-12-18 15:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3484 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-12-18 20:24:16 EST

  None (edit)
Comment 2 CFME Bot 2017-07-07 09:35:57 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/d923273c190015edc80191ab79598fe3bc0a36ba

commit d923273c190015edc80191ab79598fe3bc0a36ba
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Apr 25 09:14:40 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jul 7 09:31:22 2017 -0400

    Merge pull request #125 from yrudman/do-not-allow-empty-password-for-db
    
    Do not allow to enter empty passwords when configuring DB
    (cherry picked from commit 728afb6a4e41cd7ad0c695cb467aed5311cb2a8d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1468593

 gems/pending/appliance_console/database_configuration.rb  | 15 ++++++++++-----
 gems/pending/appliance_console/database_replication.rb    |  4 ++--
 .../spec/appliance_console/database_configuration_spec.rb |  9 ++++++++-
 .../spec/appliance_console/database_replication_spec.rb   |  3 +--
 4 files changed, 21 insertions(+), 10 deletions(-)
Comment 3 Matouš Mojžíš 2017-09-22 08:02:54 EDT
Verified in 5.7.4.0. There is password check for blank passwords when setting up database from appliance console.
Comment 6 errata-xmlrpc 2017-12-18 15:26:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3484

Note You need to log in before you can comment on or make changes to this bug.